import { showLoadingToast } from 'vant'

export const loading = {
    current: null as any,
    page: () => {
        const loadingItem = showLoadingToast({
        })
        loading.current = loadingItem
        return loadingItem
    },
    open: (text: string = '加载中...') => {
        const loadingItem = showLoadingToast({
            message: text
        })
        loading.current = loadingItem
        return loadingItem
    },
    close: () => {
        loading.current?.close()
    }
}

export default loading